#!/bin/sh

# Simple Script to re-create the key.
# Make sure the device already connected and it failed to log you in.

# Mounting
/sbin/cryptsetup luksOpen --key-file=/root/usb/file.key /dev/usbkey usbkey
/bin/mount -o uid=0,gid=0,umask=0177 /dev/mapper/usbkey /mnt/usbkey

# Re-creating
/bin/dd bs=4096 count=4 if=/dev/urandom of=/root/usb/passcode
sha512sum /root/usb/passcode > /mnt/usbkey/0

# Unmounting
/bin/umount /mnt/usbkey
/sbin/cryptsetup luksClose usbkey
/usr/bin/eject /dev/usbkey

echo "Wait few seconds and remove the device"
echo "Wait few more, and reconnect it, it should log you into the system"
